QB_LIST_ADD(3)

NAME
qb_list_add - Add this element to the list.

SYNOPSIS
#include <qb/qblist.h>

static void qb_list_add(
    struct qb_list_head   *element,  /* the new element to insert. */
    struct qb_list_head   *head      /* pointer to the list head */
);

PARAMS
element the new element to insert.

head pointer to the list head

DESCRIPTION

STRUCTURES

struct qb_list_head {

    struct   next;

    struct   prev;
};

SEE ALSO

qb_list_empty(3), qb_list_add_tail(3), qb_list_splice_tail(3), qb_list_length(3), qb_list_replace(3), qb_list_init(3), qb_list_splice(3), qb_list_is_last(3), qb_list_del(3)

COPYRIGHT

Copyright (C) 2010-2020 Red Hat, Inc.